net.fortuna.ical4j.model

## Class PropertyFactoryRegistry

- java.lang.Object
- - net.fortuna.ical4j.model.AbstractContentFactory
  - - net.fortuna.ical4j.model.PropertyFactoryImpl
    - - net.fortuna.ical4j.model.PropertyFactoryRegistry

All Implemented Interfaces:
  Serializable, PropertyFactory

    public final class PropertyFactoryRegistry
    extends PropertyFactoryImpl

Author:
  fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PropertyFactoryRegistry()`

### Method Summary

Methods
`void` `register(String name, PropertyFactory factory)`

### Methods inherited from class net.fortuna.ical4j.model.PropertyFactoryImpl

`createProperty, createProperty, getInstance`

### Methods inherited from class net.fortuna.ical4j.model.AbstractContentFactory

`allowIllegalNames, getFactory, registerDefaultFactory, registerExtendedFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyFactoryRegistry

    public PropertyFactoryRegistry()

### Method Detail

#### register

    public void register(String name,
                PropertyFactory factory)

Parameters:
  `name` - a non-standard property name
  `factory` - a factory for the non-standard property